import { Base, Type } from "igniteui-angular-core";
import { ST_BarDir } from "./ST_BarDir";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_BarDir extends Base {
    static $t: Type;
    private c;
    constructor();
    b: ST_BarDir;
    static e(a: XmlPartManagerBase, b: ST_BarDir): {
        p1: ST_BarDir;
    };
    static f(a: XmlPartManagerBase, b: string, c: ST_BarDir): void;
    toString(): string;
}
